# NVM_Object_Descriptor_t Struct Reference
[NVM]

Describes the properties of an object in a page. More...

`#include <nvm.h>`

Collaboration diagram for NVM_Object_Descriptor_t:
[legend]

## Data Fields
uint8_t * | location
| A pointer to the location of the object in RAM.
uint16_t | size
| The size of the object in bytes.
uint8_t | objectId
| An object ID used to reference the object.

## Detailed Description

Describes the properties of an object in a page.

Definition at line 144 of file nvm.h.

## Field Documentation

uint8_t* NVM_Object_Descriptor_t::location

A pointer to the location of the object in RAM.

Definition at line 146 of file nvm.h.

uint8_t NVM_Object_Descriptor_t::objectId

An object ID used to reference the object.

Must be unique in the page.

Definition at line 148 of file nvm.h.

uint16_t NVM_Object_Descriptor_t::size

The size of the object in bytes.

Definition at line 147 of file nvm.h.

The documentation for this struct was generated from the following file:

- nvm/inc/nvm.h